Package org.eclipse.emf.spi.cdo

# Class CDOSessionInvalidationEventQueue

java.lang.Object
org.eclipse.emf.spi.cdo.CDOSessionInvalidationEventQueue

Direct Known Subclasses:
  `CDOSessionInvalidationAggregator`

public class CDOSessionInvalidationEventQueue extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.2
Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.
No Instantiate
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`CDOSessionInvalidationEventQueue(CDOSession session)`

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
`CDOChangeSetData`
`getChangeSetData()`
Deprecated.
As of 4.3 use `poll()`.
`CDOSession`
`getSession()`
`protected void`
`handleEvent(CDOSessionInvalidationEvent event)`
`CDOSessionInvalidationEvent`
`poll()`
Removes and returns the first event from this queue.
`CDOSessionInvalidationEvent`
`remove(long timestamp)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOSessionInvalidationEventQueue

public CDOSessionInvalidationEventQueue(CDOSession session)

## Method Details

### dispose

public void dispose()

### getSession

public CDOSession getSession()

### getChangeSetData

@Deprecated public CDOChangeSetData getChangeSetData()
Deprecated.
As of 4.3 use `poll()`.
Removes and returns the first event from this queue.

### poll

public CDOSessionInvalidationEvent poll()
Removes and returns the first event from this queue.

Since:
  4.3

### remove

public CDOSessionInvalidationEvent remove(long timestamp)

Since:
  4.3

### reset

public void reset()

### handleEvent

protected void handleEvent(CDOSessionInvalidationEvent event) throws Exception

Throws:
  `Exception`